{"openapi":"3.0.0","info":{"title":"Contributor ID Link Application API","description":"API methods of this application cannot be called directly. Instead, you should trigger Crowdin's platform API endpoint, Crowdin will authorize your request and route it to this app.\n\nExample call for crowdin.com \n\n    curl --request GET \n    --url \"https://crowdin.com/api/v2/applications/contributor-id-link/api/data?report=raw&projects=479\" \n    --header \"Authorization: Bearer 70cf05deasdas78c84c73c4cf986ee0a3ee911w1dsad384e3c4asd1qdbbcf6b6db5732e\" \nExample call for Crowdin Enterprise \n\n    curl --request GET \n    --url \"https://acme.crowdin.com/api/v2/applications/contributor-id-link/api/data?report=raw&projects=479&startDate=2023-06-01T06%3A32%3A01.048Z&endDate=2023-06-23T06%3A32%3A01.048Z\" \n    --header \"Authorization: Bearer 70cf05dee35sad12rfes0a3ee911462e7b0723rfdfrg1e45bbcf6b6db5732e\" \n","version":"1.0.0","x-logo":{"url":"https://support.crowdin.com/assets/crowdin-logo.svg"}},"servers":[{"url":"{protocol}//{host}/api/v2/applications/contributor-id-link/api","variables":{"protocol":{"default":"https","enum":["https","http"],"description":"Protocol (https for production)"},"host":{"default":"crowdin.com","description":"Crowdin host (crowdin.com or {organization}.crowdin.com for Enterprise)"}}}],"paths":{"/top-members":{"get":{"tags":["Contributor ID Link"],"summary":"Top members with external IDs","description":"Generates a Crowdin Top Members report for the given project and period, then merges in the externalId column from this app. The call is synchronous and may take a few seconds. If the report does not finish within 60 seconds, the response is 200 with status=in_progress and the identifier you can poll with by passing ?identifier=...","operationId":"cil.topMembers","parameters":[{"name":"projectId","in":"query","required":true,"schema":{"type":"integer","example":12345}},{"name":"unit","in":"query","required":false,"schema":{"type":"string","enum":["words","strings","chars","chars_with_spaces"],"default":"words"}},{"name":"dateFrom","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"dateTo","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"languageId","in":"query","required":false,"schema":{"type":"string","example":"uk"}},{"name":"identifier","in":"query","required":false,"description":"Resume polling an in-progress report.","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"status":{"type":"string","enum":["finished","in_progress"]},"identifier":{"type":"string"},"rows":{"type":"array","items":{"type":"object","properties":{"rank":{"type":"integer"},"userId":{"type":"integer"},"userName":{"type":"string"},"userUsername":{"type":"string"},"languages":{"type":"string"},"translated":{"type":"integer"},"targetWords":{"type":"integer"},"approved":{"type":"integer"},"voted":{"type":"integer"},"externalId":{"type":"string"}}}}}}}}}}}}}}},"components":{},"tags":[]}